/* Manual */
// user_pref("browser.cache.disk.parent_directory", "/run/user/$(id -u)/firefox"); // move disk cache to memory

/* Startup */
user_pref("browser.startup.homepage", "https://www.google.ca"); // home page
user_pref("browser.startup.page", 3); // resume previous session on startup
user_pref("browser.startup.homepage_override.mstone", "ignore"); // disable welcome messages
user_pref("browser.newtabpage.enabled", false); // blank new tab page

/* Behaviour */
user_pref("browser.bookmarks.openInTabClosesMenu", false); // opening bookmarks doesn't close menu
user_pref("layout.word_select.eat_space_to_next_word", false); // don't select extra space after words
user_pref("general.autoScroll", true); // scroll on middle click
user_pref("browser.tabs.searchclipboardfor.middleclick", false);
user_pref("browser.ctrlTab.sortByRecentlyUsed", false); // ctrl+tab cycles in order
user_pref("zoom.minPercent", 10); // adjust minimum zoom value
user_pref("toolkit.zoomManager.zoomValues", ".1,.3,.5,.6,.7,.8,.85,.9,.95,1,1.05,1.1,1.15,1.2,1.3,1.4,1.45,1.5,1.55,1.6,1.7,1.8,1.9,2,2.5,3,4,5,10"); // adjust zoom increments (not mouse wheel)
user_pref("ui.key.menuAccessKeyFocuses", false); // alt key doesn't open top bar
user_pref("browser.urlbar.suggest.topsites", false); // don't suggest top sites
user_pref("browser.urlbar.suggest.calculator", true); // enable calculations in url bar
user_pref("browser.urlbar.unitConversion.enabled", true); // enable unit conversions in url bar
user_pref("browser.urlbar.quickactions.enabled", false); // disable quick actions
user_pref("browser.urlbar.autoFill.adaptiveHistory.enabled", true); // enable adaptive history
user_pref("browser.urlbar.shortcuts.quickactions", false); // disable quick actions
user_pref("browser.urlbar.resultMenu.keyboardAccessible", false); // skip url suggestion menus

/* Shutdown */
// user_pref("privacy.sanitize.sanitizeOnShutdown", true); // clear data on shutdown
// user_pref("privacy.clearOnShutdown.history", false); // save history
// user_pref("privacy.clearOnShutdown.cache", false); // clear cache
// user_pref("privacy.clearOnShutdown.downloads", true); // clear downloads
// user_pref("privacy.clearOnShutdown.formdata", true); // clear form data
// user_pref("privacy.clearOnShutdown.sessions", false);  // save sessions
// user_pref("privacy.clearOnShutdown.cookies", false); // save cookies
// user_pref("privacy.clearOnShutdown.offlineApps", true); // clear site data

/* Content */
user_pref("media.eme.enabled", true); // allow DRM
user_pref("toolkit.legacyUserProfileCustomizations.stylesheets", true); // enable user styles
user_pref("layout.css.has-selector.enabled", true); // enable :has filter
user_pref("browser.urlbar.groupLabels.enabled", false); // hide firefox suggest label
user_pref("browser.compactmode.show", true); // add compact mode
user_pref("browser.tabs.tabmanager.enabled", false); // hide tab manager until needed

/* Downloads */
// user_pref("browser.download.useDownloadDir", false); // always ask whether to open or save files
// user_pref("browser.download.always_ask_before_handling_new_types", true); // confirm new file types
user_pref("browser.download.alwaysOpenPanel", false); // disable automatically opening download panel
user_pref("browser.download.manager.addToRecentDocs", false); // disable adding downloads to recent documents
user_pref("browser.privatebrowsing.forceMediaMemoryCache", true); // require memory cache for private browsing
user_pref("browser.download.open_pdf_attachments_inline", true); // force PDFs to open in browser
user_pref("pdfjs.disabled", false); // enable pdfjs
user_pref("pdfjs.enableScripting", false); // enable scripts on pdfjs

/* Forms */
user_pref("signon.autofillForms", false); // don't autofill login pages
user_pref("browser.formfill.enable", false); // don't autofill forms
user_pref("signon.formlessCapture.enabled", false); // don't autofill passwords
user_pref("extensions.formautofill.addresses.enabled", false); // don't autofill addresses
user_pref("extensions.formautofill.creditCards.enabled", false); // don't autofill credit cards
user_pref("signon.rememberSignons", false); // don't remember passwords

/* Warnings */
user_pref("browser.aboutConfig.showWarning", false); // disable about:config warning
user_pref("browser.warnOnQuitShortcut", true); // warn on quit
user_pref("browser.tabs.warnOnClose", true); // warn on quit
user_pref("app.update.suppressPrompts", true); // disable update warning
user_pref("browser.urlbar.update2.engineAliasRefresh", true); // allow adding search engines manually

/* Containers */
user_pref("privacy.userContext.enabled", true); // enable containers
user_pref("privacy.userContext.ui.enabled", true); // enable containers

/* Fullscreen */
user_pref("full-screen-api.transition-duration.enter", "0 0");
user_pref("full-screen-api.transition-duration.leave", "0 0");
user_pref("full-screen-api.transition.timeout", 0);
user_pref("full-screen-api.warning.delay", -1);
user_pref("full-screen-api.warning.timeout", 0);

/* Scrolling */
user_pref("apz.overscroll.enabled", true);
user_pref("general.smoothScroll", true);
user_pref("general.smoothScroll.msdPhysics.continuousMotionMaxDeltaMS", 12);
user_pref("general.smoothScroll.msdPhysics.enabled", true);
user_pref("general.smoothScroll.msdPhysics.motionBeginSpringConstant", 600);
user_pref("general.smoothScroll.msdPhysics.regularSpringConstant", 650);
user_pref("general.smoothScroll.msdPhysics.slowdownMinDeltaMS", 25);
user_pref("general.smoothScroll.msdPhysics.slowdownMinDeltaRatio", 2.0);
user_pref("general.smoothScroll.msdPhysics.slowdownSpringConstant", 250);
user_pref("general.smoothScroll.currentVelocityWeighting", 1.0);
user_pref("general.smoothScroll.stopDecelerationWeighting", 1.0);
user_pref("mousewheel.default.delta_multiplier_y", 250);

/* Bloat */
user_pref("browser.newtabpage.activity-stream.default.sites", ""); // empty top sites list
user_pref("browser.newtabpage.activity-stream.feeds.topsites", false); // remove top sites from new tab page
user_pref("browser.newtabpage.activity-stream.showSponsored", false); // disable sponsored stories
user_pref("browser.newtabpage.activity-stream.showSponsoredTopSites", false); // disable sponsored top sites
user_pref("browser.newtabpage.activity-stream.asrouter.userprefs.cfr.addons", false); // disable recommended addons
user_pref("browser.newtabpage.activity-stream.asrouter.userprefs.cfr.features", false); // disable recommended features
user_pref("browser.newtabpage.activity-stream.feeds.section.topstories", false); // remove stories from new tab page
user_pref("extensions.getAddons.showPane", false); // disable recommendations in about:addons
user_pref("extensions.htmlaboutaddons.recommendations.enabled", false); // disable recommendations in about:addons
user_pref("browser.discovery.enabled", false); // disable recommendations in about:addons
user_pref("browser.messaging-system.whatsNewPanel.enabled", false); // disable what's new
user_pref("extensions.pocket.enabled", false); // disable pocket
user_pref("browser.uitour.enabled", false); // disable ui tour
user_pref("browser.uitour.url", ""); // disable ui tour
user_pref("browser.urlbar.suggest.quicksuggest.sponsored", false); // removed sponsored suggestions
user_pref("browser.preferences.moreFromMozilla", false); // remove more from mozilla

/* Telemetry */
user_pref("datareporting.policy.dataSubmissionEnabled", false);
user_pref("datareporting.healthreport.uploadEnabled", false);
user_pref("toolkit.telemetry.unified", false);
user_pref("toolkit.telemetry.enabled", false);
user_pref("toolkit.telemetry.server", "data:,");
user_pref("toolkit.telemetry.archive.enabled", false);
user_pref("toolkit.telemetry.newProfilePing.enabled", false);
user_pref("toolkit.telemetry.shutdownPingSender.enabled", false);
user_pref("toolkit.telemetry.updatePing.enabled", false);
user_pref("toolkit.telemetry.bhrPing.enabled", false);
user_pref("toolkit.telemetry.firstShutdownPing.enabled", false);
user_pref("toolkit.telemetry.coverage.opt-out", true);
user_pref("toolkit.coverage.opt-out", true);
user_pref("toolkit.coverage.endpoint.base", "");
user_pref("browser.ping-centre.telemetry", false);
user_pref("browser.newtabpage.activity-stream.feeds.telemetry", false);
user_pref("browser.newtabpage.activity-stream.telemetry", false);
user_pref("app.shield.optoutstudies.enabled", false);
user_pref("app.normandy.enabled", false);
user_pref("app.normandy.api_url", "");
user_pref("breakpad.reportURL", "");
user_pref("browser.tabs.crashReporting.sendReport", false);
user_pref("browser.crashReports.unsubmittedCheck.autoSubmit2", false);
